Download it now!
Bug 95064 - [Helpauthoring] Want a preview of the currently edit document
Summary: [Helpauthoring] Want a preview of the currently edit document
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HelpAuthoring-Extension
  Show dependency treegraph
 
Reported: 2015-10-14 17:05 UTC by Regina Henschel
Modified: 2018-07-28 11:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
preview of .xhp files, but macro is not ready for general use (4.57 KB, text/plain)
2015-10-14 17:05 UTC, Regina Henschel
Details
modified basic code (9.71 KB, text/plain)
2015-10-30 21:30 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2015-10-14 17:05:26 UTC
Created attachment 119615 [details]
preview of .xhp files, but macro is not ready for general use

When editing a help file it is now only possible to see it as in the local help, when you compile the help. It would be good to have a tool, that makes a preview of the document, which you are currently editing.

I have made some experiments and put them into the attached macro.
If the actual help document is put into a jar container, and this jar file is in the installed help folder, then you can get a view of that file in the help viewer or in Writer/Web in a way, that embeds and pictures are resolved.

But it seems, that LibreOffice looks only once into this container and then locks it. I can update the file, but not the updated version was shown but the starting one. And I cannot insert a different file into the container and cannot delete the container while LibreOffice is running. If someone knows, how to unlock that file and make the local help aware of changes, please tell me.

You need not install the helpauthoring extension to test the macro. Copy the macro into a module, load an .xhp document as encoded text in Writer or in Writer/Web, and run the macro "PreviewCurrentDocument" while the .xhp document is the actual window. The macro creates a file temp.jar in the help folder "en-US". You can delete it after you have closed LibreOffice.
Comment 1 Joel Madero 2015-10-15 02:47:14 UTC
Hey Regina,

Of course any of yours can just be pushed to NEW - you know what you're talking about :)
Comment 2 Yousuf Philips (jay) (retired) 2015-10-30 21:30:18 UTC
Created attachment 120124 [details]
modified basic code

Modified version of the basic code to allow rerunning the macro without having to restart LO by using a random filename.
Comment 3 Jan Holesovsky 2015-11-02 12:26:53 UTC
Regina - this is awesome, thanks for that! :-)  Can you please push it to the dev-tools reporitory to helpauthoring, so that it is version controlled, and further improvements can be done directly in git?
Comment 4 Olivier Hallot 2018-07-28 11:39:50 UTC
Helpauthoring extension is deprecated. closing wontfix.